Bug 803519 - alternative to shared file system in JCR
alternative to shared file system in JCR
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: 6.0.0
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 17:47 EDT by Gary Hu
Modified: 2013-11-04 19:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-16 05:09:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Hu 2012-03-14 17:47:53 EDT
It seems that we could have an alternative to shared file system in JCR based on the exo-jcr document:
  http://docs.jboss.org/exojcr/1.14.3-GA/developer/en-US/html/ch-query-handler-config.html#d0e3549

Have we fully tested? If no, can we test this feature? 

We also need to document it in our reference guide and/or migration guide.

This request comes from GE - https://na7.salesforce.com/500A0000009ewlw
Comment 1 Thomas Heute 2012-06-06 07:47:16 EDT
This is only for Lucene indexes and need to be QAed properly
Comment 2 Jared MORGAN 2012-10-10 21:54:04 EDT
Unassigning from Mark, as he's no longer looking after EPP.
Comment 4 Thomas Heute 2013-04-16 05:09:18 EDT
Default in JPP 6.0 is local storage of lucene indexes. Shared file system is no longer a must have requirement (Can still be preferred in certain scenarios)

Note You need to log in before you can comment on or make changes to this bug.